<h2>Order Receipt</h2>
<?php
$order = $data['order'];
?>
<div class='wrap'>
  <div id="order" style="width: 600px; padding: 10px 10px 10px 10px; border: 1px solid #CCCCCC; background-color: #FFF;">
    <h3 style="float: right;"><?php _e( 'Order Number' , 'cart66' ); ?>: <?php echo $order->trans_id ?></h3>

    <h3><?php echo $order->first_name ?> <?php echo $order->last_name ?></h3>
    <h3>Date: <?php echo date('n/j/Y g:i a', strtotime($order->ordered_on)); ?></h3>

    <table border="0" cellspacing="0" cellpadding="0" style="width: 100%;" id="Cart66OrderViewTable">
      <tr>
        <th colspan="2" style="text-align: left;"><?php _e( 'Product' , 'cart66' ); ?></th>
        <th style="text-align: center;"><?php _e( 'Quantity' , 'cart66' ); ?></th>
        <th style="text-align: right;"><?php _e( 'Price' , 'cart66' ); ?></th>
        <th style="text-align: right;"><?php _e( 'Total' , 'cart66' ); ?></th>
      </tr>
      <?php foreach($order->getItems() as $item): ?>
      <tr>
        <td colspan='2'><?php echo $item->item_number ?>
          <?php echo nl2br($item->description); ?>
        </td>
        <td style="text-align: center;"><?php echo $item->quantity ?></td>

        <td style="text-align: right;"><?php echo CART66_CURRENCY_SYMBOL ?><?php echo number_format($item->product_price, 2); ?></td>
        <td style="text-align: right;"><?php echo CART66_CURRENCY_SYMBOL ?><?php echo number_format($item->product_price * $item->quantity, 2) ?></td>
      </tr>
      <?php
        if(!empty($item->form_entry_ids)) {
          $entries = explode(',', $item->form_entry_ids);
          $wpurl = get_bloginfo('wpurl');
          foreach($entries as $entryId) {
            if(class_exists('RGFormsModel')) {
              if(RGFormsModel::get_lead($entryId)) {
                $formId = Cart66GravityReader::getGravityFormIdForEntry($entryId);
                echo "<tr><td colspan='5'>" . Cart66GravityReader::displayGravityForm($entryId) . "</td></tr>";
                echo "<tr><td colspan='5' align='right' style='padding-bottom: 5px !important; '><a style='font-size: 10px;' href='" . $wpurl . "/wp-admin/admin.php?page=gf_entries&view=entry&id=" . $formId. "&lid=" . $entryId . "&pos=0'>View Gravity Forms Entry</a></td></tr>";
              }
            }
            else {
              echo "<tr><td colspan='5' style='color: #955;'>" . __("This order requires Gravity Forms in order to view all of the order information","cart66") . "</td></tr>";
            }
            
          }
        }
      ?>
      <?php endforeach; ?>
      
      <tr>
        <td colspan='4'>&nbsp;</td>
      </tr>
      
      <tr>
        <td colspan="4" style="text-align: right;"><strong><?php _e( 'Sub Total' , 'cart66' ); ?></strong></td>
        <td style="text-align: right;"><?php echo CART66_CURRENCY_SYMBOL ?><?php echo number_format($order->subtotal, 2); ?></td>
      </tr>
      
      <?php if($order->discount_amount > 0): ?>
        <tr>
          <td colspan="4" style="text-align: right;"><strong><?php _e( 'Discount' , 'cart66' ); ?></strong></td>
          <td style="text-align: right;">-<?php echo CART66_CURRENCY_SYMBOL ?><?php echo number_format($order->discountAmount, 2); ?></td>
        </tr>
      <?php endif; ?>

      <?php if($order->shipping_method != 'None'): ?>
      <tr>
        <td colspan="4" style="text-align: right;"><strong><?php _e( 'Shipping' , 'cart66' ); ?></strong></td>
        <td style="text-align: right;"><?php echo CART66_CURRENCY_SYMBOL ?><?php echo number_format($order->shipping, 2); ?></td>
      </tr>
      <?php endif; ?>
      
      <?php if($order->tax > 0): ?>
        <tr>
          <td colspan="4" style="text-align: right;"><strong><?php _e( 'Tax' , 'cart66' ); ?></strong></td>
          <td style="text-align: right;"><?php echo CART66_CURRENCY_SYMBOL ?><?php echo number_format($order->tax, 2); ?></td>
        </tr>
      <?php endif; ?>
      
      <?php if(!empty($order->coupon) && $order->coupon != 'none'): ?>
        <tr>
          <td colspan='4'>&nbsp;</td>
        </tr>
        <tr>
          <td colspan="3" style="text-align: right; background-color: #EEE;"><strong><?php _e( 'Coupon' , 'cart66' ); ?></strong></td>
          <td colspan="2" style="text-align: right; background-color: #EEE;"><?php echo $order->coupon ?></td>
        </tr>
        <tr>
          <td colspan='4'>&nbsp;</td>
        </tr>
      <?php endif; ?>
      
      <tr>
        <td colspan="4" style="text-align: right;"><strong><?php _e( 'Total' , 'cart66' ); ?></strong></td>
        <td style="text-align: right;"><?php echo CART66_CURRENCY_SYMBOL ?><?php echo number_format($order->total, 2); ?></td>
      </tr>
      
    </table>
    
    <hr style="bgcolor: #FFFFFF; border:none; border-top: 1px dotted #CCCCCC; margin-top: 15px; " />

    <table border="0" cellspacing="0" cellpadding="5" style="width:100%;">
      <tr>
        <th style="text-align: left;"><?php _e( 'Billing Information' , 'cart66' ); ?></th>
        <th style="text-align: left;"><?php _e( 'Contact Information' , 'cart66' ); ?></th>
      </tr>
      <tr>
        <td valign="top">
          <?php echo $order->bill_first_name ?> <?php echo $order->bill_last_name ?><br/>
          <?php echo $order->bill_address ?><br/>
          <?php if(!empty($order->bill_address2)): ?>
            <?php echo $order->bill_address2 ?><br/>
          <?php endif; ?>
          <?php echo $order->bill_city ?> <?php echo $order->bill_state ?> <?php echo $order->bill_zip ?><br />
          <?php echo $order->bill_country ?>
        </td>
        <td valign="top">
          Email: <?php echo $order->email ?><br/>
          Phone: <?php echo Cart66Common::formatPhone($order->phone) ?><br/>
        </td>
      </tr>
      <?php if($order->shipping_method != 'None' && $order->hasShippingInfo()): ?>
        
        <tr>
          <th style="text-align: left;"><br/><?php _e( 'Shipping Information' , 'cart66' ); ?></th>
          <th style="text-align: left;">&nbsp;</th>
        </tr>
        <tr>
          <td valign="top">
            <?php echo $order->ship_first_name ?> <?php echo $order->ship_last_name ?><br/>
            <?php echo $order->ship_address ?><br/>
            <?php if(!empty($order->ship_address2)): ?>
              <?php echo $order->ship_address2 ?><br/>
            <?php endif; ?>
            <?php echo $order->ship_city ?> <?php echo $order->ship_state ?> <?php echo $order->ship_zip ?><br/>
            <?php echo $order->ship_country ?><br/>
            <br/><em>Delivery via: <?php echo $order->shipping_method ?></em></br>
          </td>
          <td>&nbsp;</td>
        </tr>
        
      <?php endif; ?>
    </table>
</div>
<p><a href="<?php 
    
    $receiptPage = get_page_by_path('store/receipt');
    $link = get_permalink($receiptPage->ID);
    
    if(strstr($link,"?")){
      $link .= '&ouid=';
    }
    else{
      $link .= '?ouid=';
    }

    echo $link.$order->ouid ;
  
  ?>" target="_blank"><?php _e( 'View Receipt Online' , 'cart66' ); ?></a><br />
  <a href='#' id="print_version"><?php _e( 'Printer Friendly Receipt' , 'cart66' ); ?></a></p>

  <?php
    if($order !== false) {
      $printView = Cart66Common::getView('views/receipt_print_version.php', array('order' => $order));
      $printView = str_replace("\n", '', $printView);
      $printView = str_replace("'", '"', $printView);
      ?>
      <script type="text/javascript">
      /* <![CDATA[ */
        (function($){
          $(document).ready(function(){
            $('#print_version').click(function() {
              myWindow = window.open('','Your_Receipt','resizable=yes,scrollbars=yes,width=550,height=700');
              myWindow.document.open("text/html","replace");
              myWindow.document.write(decodeURIComponent('<?php echo rawurlencode($printView); ?>' + ''));
              return false;
            });
          })
        })(jQuery);
      /* ]]> */
      </script> 
    <?php
    }
  ?>
<div class="wrap" style="margin-top: 30px;">
  <form class="phorm" action="" method='post'>
    <input type='hidden' name='task' value='update order status' />
    <input type='hidden' name='order_id' value="<?php echo $order->id ?>">
    <label style='width: auto;'><?php _e( 'Order Status' , 'cart66' ); ?>:</label>
    <select name="status" id='status' style=''>
      <?php
        $setting = new Cart66Setting();
        $opts = explode(',', Cart66Setting::getValue('status_options'));
        foreach($opts as $o):
          $o = trim($o);
      ?>
      <option value='<?php echo $o ?>' <?php if($o == $order->status) { echo 'selected="selected"'; } ?>><?php echo $o ?></option>
      <?php endforeach; ?>
    </select>
    <input type='submit' name='submit' class="button-secondary" style='width: 60px;' value='Update' />
  </form>
</div>

<div class="wrap" style='float: left; clear: both;'>
  <p><a href='?page=cart66_admin'>&lt;&lt;&nbsp;&nbsp;<?php _e( 'Back To Orders' , 'cart66' ); ?></a></p>
</div>
  
